# Source language and JDK version to use
language: java
jdk: oraclejdk7

install:
  # Required for fetch_glowkit_pr.sh
  - "[[ $TRAVIS_PULL_REQUEST == false ]] || sudo apt-get install jq"

  # Try to fetch required glowkit PRs, if any.
  - "./etc/fetch_glowkit_pr.sh $TRAVIS_PULL_REQUEST || echo 'Glowkit build failed - trying to continue anyway'"

  # Fetch gradle stuff, so it doesn't appear in the script step
  - "gradle clean"

script:
  # Compile and package JAR and set build properties
  - "gradle build remap"

after_success:
  # Check if commit is not a pull request, if repo is official, and branch is master, generate and deploy artifacts and reports
  - "[[ $TRAVIS_PULL_REQUEST == false ]] && [[ $TRAVIS_REPO_SLUG == GlowstoneMC/Glowstone ]] && [[ $TRAVIS_BRANCH == master ]] && gradle publish"

# Notification services
notifications:
  # Disable build status email notifications, until the issue with forks is fixed
  email: false
  webhooks:
    # Send build information and status to Notifico
    - http://n.tkte.ch/h/1918/S53Phouna3jUVXcxFc3VjQ83

# Environmental system variables
env:
  global:
    # Make the log output cleaner
    - TERM=dumb
    - secure: "WZNE+iO7GxF8qShmApOHx01EYnDObeW0D1t/UJhDLnTHwPdIiHltDgL4l2zb9jmHn21Cy3WCdfFr2XrSmLG+Y+8sFcb6//JvqDW5E79LHNJohDQyJFz3t2gTABrzgS4FVwjRKIw/Hlwdrkukfn4uqs/xxoyl3FAfmSmn2YgFTB0="
    - secure: "Y5+AXavZO15haO0bWucP4JoX5L8i5vTG2LsSeVCG6oDTAcE/RX5CpCLZxL6BT2qYHDDQL+ICF6ovp0qWjuLq0U3nvQz/7hJMlQDWOiGzX4rVHbljBlZzjNxAnk9GE8o7oYnNjvwtiMWqD930dfJ8mJvqzRKG/Q8Ye0mQ9VlrN/w="
